import { MouseEvent, CSSProperties } from 'react';
import { CrossmintPayButtonProps, NFTCollectionViewProps, NFTDetailProps, PaymentElement } from '@crossmint/client-sdk-base';
export { CheckoutEventMap, CheckoutEvents, CrossmintCheckoutEvent, CrossmintCheckoutEventUnion, useCrossmintEvents } from '@crossmint/client-sdk-base';

type CrossmintPayButtonReactProps = CrossmintPayButtonProps & {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
};

declare function CrossmintPayButton(buttonProps: CrossmintPayButtonReactProps): JSX.Element;

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): JSX.Element;

declare function CrossmintPaymentElement(props: PaymentElement): JSX.Element;

export { CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, CrossmintPaymentElement };
